using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;

namespace ECOT.Game
{
    /// <summary>
    /// 
    /// </summary>
    public interface ISelectable 
    {
        void Focus();
        void Blur();
        void Hover();
        void Out();

        bool IsSelected(Vector2 position);
    }
}
